Package org.h2.command.dml

# Class Delete

java.lang.Object
org.h2.command.Prepared
org.h2.command.dml.DataChangeStatement
org.h2.command.dml.Delete

public final class Delete extends DataChangeStatement
This class represents the statement DELETE

## Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

## Constructor Summary

Constructors
Constructor
Description
`Delete(SessionLocal session)`

## Method Summary

Modifier and Type
Method
Description
`protected final StringBuilder`
`appendFilterCondition(StringBuilder builder, int sqlFlags)`
`void`
`collectDependencies(HashSet<DbObject> dependencies)`
Find and collect all DbObjects, this Prepared depends on.
`final Expression`
`getCondition()`
`StringBuilder`
`getPlanSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement with the execution plan.
`String`
`getStatementName()`
Return the name of this statement.
`final Table`
`getTable()`
Return the target table.
`final TableFilter`
`getTableFilter()`
`int`
`getType()`
Get the command type as defined in CommandInterface
`protected final Row`
`lockAndRecheckCondition()`
`protected final boolean`
`nextRow(long limitRows, long count)`
`final void`
`setCondition(Expression condition)`
`void`
`setFetch(Expression fetch)`
`final void`
`setTableFilter(TableFilter tableFilter)`
`long`
`update(ResultTarget deltaChangeCollector, DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)`
Execute the statement with specified delta change collector and collection mode.

### Methods inherited from class org.h2.command.dml.DataChangeStatement

`isCacheable, isTransactional, lockAndRecheckCondition, prepare, queryMeta, update`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, getCurrentRowNumber, getDatabase, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, invalidateCachedResult, isQuery, isReadOnly, isRetryable, isWithParamValues, needRecompile, query, setCommand, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Delete

public Delete(SessionLocal session)

## Method Details

### update

public long update(ResultTarget deltaChangeCollector, DataChangeDeltaTable.ResultOption deltaChangeCollectionMode)
Description copied from class: `DataChangeStatement`
Execute the statement with specified delta change collector and collection mode.

Specified by:
  `update` in class `DataChangeStatement`
Parameters:
  `deltaChangeCollector` - target result
  `deltaChangeCollectionMode` - collection mode
Returns:
  the update count

### getPlanSQL

public StringBuilder getPlanSQL(StringBuilder builder, int sqlFlags)
Description copied from class: `Prepared`
Appends the SQL statement with the execution plan.

Overrides:
  `getPlanSQL` in class `Prepared`
Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the execution plan

### getType

public int getType()
Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type

### getStatementName

public String getStatementName()
Description copied from class: `DataChangeStatement`
Return the name of this statement.

Specified by:
  `getStatementName` in class `DataChangeStatement`
Returns:
  the short name of this statement.

### collectDependencies

public void collectDependencies(HashSet<DbObject> dependencies)
Description copied from class: `Prepared`
Find and collect all DbObjects, this Prepared depends on.

Overrides:
  `collectDependencies` in class `Prepared`
Parameters:
  `dependencies` - collection of dependencies to populate

### getTable

public final Table getTable()
Description copied from class: `DataChangeStatement`
Return the target table.

Specified by:
  `getTable` in class `DataChangeStatement`
Returns:
  the target table

### setTableFilter

public final void setTableFilter(TableFilter tableFilter)

### getTableFilter

public final TableFilter getTableFilter()

### setCondition

public final void setCondition(Expression condition)

### getCondition

public final Expression getCondition()

### setFetch

public void setFetch(Expression fetch)

### nextRow

protected final boolean nextRow(long limitRows, long count)

### appendFilterCondition

protected final StringBuilder appendFilterCondition(StringBuilder builder, int sqlFlags)

### lockAndRecheckCondition

protected final Row lockAndRecheckCondition()